xpsimplehelloworld(__appmansuffix__)

NAME
xpsimplehelloworld - "Hello World"-like Xprint sample utility based on plain X11 rendering calls

SYNOPSIS
xpsimplehelloworld
[-printer printernname] [-v] [-h]

DESCRIPTION
xpsimplehelloworld is a sample utility for Xprint, the printing system for the X Window system. It demonstrates how to send a test page to the specified printer (or the default printer, if none is specified) using plain X11 rendering instructions and without using special toolkit support (like one of the special Xt print shell widget classes (such as XmPrintShell(__libmansuffix__) or XawPrintShell(__libmansuffix__))).

OPTIONS

-printer printernname
    printer to use

-v  verbose output

-h  print usage

ENVIRONMENT

XPSERVERLIST
    ${XPSERVERLIST} must be set, identifying the available Xprint servers. See Xprint(__miscmansuffix__) for more details.

KNOWN BUGS
A full list of bugs can be obtained from the Xprint.org bug database (http://xprint.mozdev.org/xprint_bugs.html).

SEE ALSO
Xprint(__miscmansuffix__), X11(__miscmansuffix__), xplsprinters(__appmansuffix__), xphelloworld(__appmansuffix__), xpxmhelloworld(__appmansuffix__), xpawhelloworld(__appmansuffix__), xpxthelloworld(__appmansuffix__), Xserver(__appmansuffix__), Xprt(__appmansuffix__), libXp(__libmansuffix__), libXprintUtils(__libmansuffix__), libXprintAppUtils(__libmansuffix__), XmPrintShell(__libmansuffix__), XawPrintShell(__libmansuffix__), Xprint FAQ (http://xprint.mozdev.org/docs/Xprint_FAQ.html), Xprint main site (http://xprint.mozdev.org/)